## org.beepcore.beep.core
Interface RequestHandler

All Known Implementing Classes:
  EchoProfile

public interface RequestHandler

This interface is used by profiles to receive MSG messages. This handler is registered with a channel using the `setRequestHandler()` method.

Method Summary
`void` `receiveMSG(MessageMSG message)` Called to process the request in received MSG message.

Method Detail

### receiveMSG

    public void receiveMSG(MessageMSG message)

  Called to process the request in received MSG message.

  Parameters:
    `message` - MSG Message received.
  See Also:
    `MessageMSG`

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.